Tag: apt

apt: E: Не удалось найти пакет

У меня проблемы с моим Kali Linux 2016.2, я не могу установить какой-либо пакет на свою машину. он говорит каждый раз E: Unable to locate package libasound2-plugins_1.0.28-1+b1_i386.deb E: Couldn't find any package by glob 'libasound2-plugins_1.0.28-1+b1_i386.deb' E: Couldn't find any package by regex 'libasound2-plugins_1.0.28-1+b1_i386.deb' Я попытался исправить проблему репозитория с помощью leafpad /etc/apt/sources.list , источники получаются […]

Предотвратить список ошибок при метании ошибки

Я пытаюсь определить, установлен ли пакет в сценарии bash, используя следующий код, но сценарий продолжает выходить из строя и предотвращать что-либо после его запуска. Есть ли опция apt которая сообщает ей, чтобы НЕ выдавать ошибку, если пакет отсутствует в списке? pkgExists=$(apt list "azure-cli" | grep "azure-cli" -s)

отклонено разрешение «apt-get»

Недавно я построил новую машину, используя Debian Jessie. Вскоре после того, как я обновился, чтобы растянуться, и все кажется прекрасным, за исключением одной упрямой ошибки, которая продолжает появляться, когда я запускаю «apt-get update». Err:12 http://security.debian.org stretch/updates/non-free Translation-en ***Could not open file /var/lib/apt/lists/partial/security.debian.org_dists_stretch_updates_non-free_i18n_Translation-en.bz2 – open (13: Permission denied) [IP: 212.211.132.32 80]**** и наконец E: Failed to […]

insserv: предупреждение: сценарий «K07smfpd» отсутствует метки LSB и переопределения

osinfo: cat /etc/*-release DISTRIB_ID=neon DISTRIB_RELEASE=16.04 DISTRIB_CODENAME=xenial DISTRIB_DESCRIPTION="KDE neon User Edition 5.10" NAME="KDE neon" VERSION="5.10" ID=neon ID_LIKE="ubuntu debian" PRETTY_NAME="KDE neon User Edition 5.10" VERSION_ID="16.04" HOME_URL="http://neon.kde.org/" SUPPORT_URL="http://neon.kde.org/" BUG_REPORT_URL="http://bugs.kde.org/" VERSION_CODENAME=xenial UBUNTU_CODENAME=xenial Моя проблема: когда я делаю apt-get update или install или что-то еще, я получаю то же самое (может быть, немного другое). Я подозреваю, что это имеет какое-то […]

apt медленно внезапно на debian

Я использую debian 8 jessie. Всего несколько дней назад, похоже, все мои быстрые обновления медленны, и пакеты, по-видимому, невозможно установить. Они просто зависают при подключении к серверам. Одна вещь, которую я заметил, это то, что все адреса – ipv6, что определенно не так, как раньше. Когда я запускаю sudo apt-get update , оно работает, но […]

Не удается установить libghc-xmonad-dev и libghc-xmonad-contrib-dev

Я использую Siduction, который является дистрибутивным дистрибутивом Debian, который запускается из ветки sid. Пытался обновить мою систему, и я не могу установить libghc-xmonad-dev и libghc-xmonad-contrib-dev. Мне нужно это, чтобы использовать xmonad. Какие-либо предложения? > apt-get install libghc-xmonad-dev libghc-xmonad-contrib-dev Reading package lists… Done Building dependency tree Reading state information… Done Some packages could not be installed. […]

Будет ли изображение 3.16.0-4-amd64 нарушать мою систему из-за ошибки BUILD_EXCLUSIVE?

Я запускаю Debian 9 на Dell Latitude E7250. Это 64-разрядный процессор i5. Сегодня утром я только что apt-get dist-upgrade . Он продолжал обновлять мое изображение через пакет linux-image-3.16.0-4-amd64_3.16.43-2 + deb8u5_amd64. При этом я получил следующую ошибку: Error! The dkms.conf for this module includes a BUILD_EXCLUSIVE directive which does not match this kernel/arch. This indicates that […]

расположение файла конфигурации apt

У меня есть / установлен как только для чтения (и мой / root тоже). Каждый раз, когда я начинаю aptitude, он жалуется, что он не может писать в /root/.aptitude/. Можно ли сказать aptitude использовать другой каталог для хранения его файлов конфигурации? Например, / var / tmp / aptitude?

Где MySQL установлен на моем компьютере?

Что происходит, все? Недавно я установил MySQL-сервер на свою машину Debian с помощью Advanced Packaging Tool, и мне любопытно, где он установлен, и как я могу найти все исходные файлы и пользовательские базы данных. Мне удалось найти конфигурацию в / etc / mysql и найти некоторые другие мелкие фрагменты с помощью команды «whereis» и «find […]

Я пытаюсь установить Google Chrome на Linux Mint 7

Похоже, что Jaunty больше не поддерживается. При попытке установить пакет chrome: steven@steven-desktop ~/Desktop $ sudo dpkg -i google-chrome-stable_current_i386.deb Selecting previously deselected package google-chrome-stable. (Reading database … 106471 files and directories currently installed.) Unpacking google-chrome-stable (from google-chrome-stable_current_i386.deb) … dpkg: dependency problems prevent configuration of google-chrome-stable: google-chrome-stable depends on libasound2 (>> 1.0.22); however: Version of libasound2 on […]

Interesting Posts

Как печатать в PDF при добавлении к существующему документу?

Создать yum repo с несколькими ключами

Что происходит с этой темой при запуске Eclipse?

Как оправиться от chmod -R 000 / bin?

Как заставить клонированного гостя подключиться к Интернету?

Повторно выполняйте команду bash, пока нет выхода из другого процесса

Каковы некоторые из вещей, которые может сделать ROOT, которые могли бы уничтожить компьютер

создал вложенные каталоги на короткий путь

Как запустить второй оконный менеджер?

В какой степени эмуляторы терминалов xterm, xterm-color и linux основаны на VT100?

Прочтите «/ proc», чтобы узнать, открыл ли процесс порт

Фоновые процессы в скрипте ksh исчезают после их запуска

Не удается установить VLC на сервер без заголовка Debian, конфликт зависимости с VLC: i386

systemd-modules-load ошибки печати при загрузке встроенных модулей ядра

Кто возится с моим маршрутизатором?

Linux и Unix - лучшая ОС в мире.